diff --git a/src/test/regress/pg_regress.c b/src/test/regress/pg_regress.c
index 53435c47420..390a10b8239 100644
--- a/src/test/regress/pg_regress.c
+++ b/src/test/regress/pg_regress.c
@@ -1957,6 +1957,14 @@ create_database(const char *dbname)
 	StringInfo	buf = psql_start_command();
 	_stringlist *sl;
 
+	/*
+	 * Disable warning that ICU locale "C" has unknown language "c". This can
+	 * happen if the cluster was initialized with the icu locale and the new
+	 * database uses the C locale.
+	 */
+	if (nolocale)
+		psql_add_command(buf, "SET icu_validation_level=disabled");
+
 	/*
 	 * We use template0 so that any installation-local cruft in template1 will
 	 * not mess up the tests.
